Subject: Re: [bug#28886] [PATCH] gnu: Add emacs-robe.

From: Christopher Baines <[email-masked]>
Date: Sat, 09 Dec 2017 21:14:43 +0000

Ricardo Wurmus writes:

> Hi again,
>
> some time ago I wrote this:
>
> Ricardo Wurmus <[email-masked]> writes:
>
>> Hi,
>>
>>> * gnu/packages/emacs.scm (emacs-robe): New variable.
>>> ---
>>
>> Thanks, this looks good.
>>
>> The website lists a couple of Ruby dependencies:
>>
>> --8<---------------cut here---------------start------------->8---
>> * pry
>> * pry-doc >= 0.6.0 (on MRI)
>> * method_source >= 0.8.2 (for compatibility with the latest
>>  Rubinius)
>> --8<---------------cut here---------------end--------------->8---
>>
>> yet, I don’t see them among the inputs of this package.  Is this just
>> something that users are reasonably expected to have on their systems
>> when they want to use robe, or should these things be among the inputs?
>>
>> I trust you made the right decision here, but I thought I’d just ask as
>> it is a bit confusing.
>
> “pry” is a ruby debugger, right?  It is a runtime dependency, but one
> would expect a Ruby developer to provide one version or another,
> dependent on their project.
>
> If this is correct I don’t want to block this patch: it looks good to
> me.

Ok, great. I was planning on trying to use this more, but I haven't got
around to that yet. I've pushed this to master now, maybe that will
help.

Thanks for reviewing :)

Chris